## org.gnu.gtk.event
Class HandleBoxEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.HandleBoxEvent

All Implemented Interfaces:
  java.io.Serializable

public class HandleBoxEvent
extends GtkEvent

This event is used to identify when a HandleBox receives an event

See Also:
  `HandleBoxListener`, Serialized Form

Nested Class Summary
`static class` `HandleBoxEvent.Type`

Field Summary

Fields inherited from class org.gnu.gtk.event.GtkEvent
`source, type`

Constructor Summary
`HandleBoxEvent(java.lang.Object source, EventType type)` Constructor for HandleBoxEvent.

Method Summary
`Widget` `getWidget()`
`boolean` `isOfType(FontButtonEvent.Type aType)`
`void` `setWidget(Widget widget)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HandleBoxEvent

    public HandleBoxEvent(java.lang.Object source,
                          EventType type)

  Constructor for HandleBoxEvent.

Parameters:
  `source` -
  `type` -

Method Detail

### isOfType

    public boolean isOfType(FontButtonEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.

### getWidget

    public Widget getWidget()

  Returns:
    Returns the widget.

### setWidget

    public void setWidget(Widget widget)

  Parameters:
    `widget` - The widget to set.